﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using UnityEngine;
using UnityEngine.UI;
using System.Text;
using System.Runtime.InteropServices; 
 
public class MainStage : MonoBehaviour {

    // Use this for initialization
    private Button loginButton;
    private Button payButton;
    private Text resultText;
	void Start () {
      

        //按钮点击
        loginButton = transform.Find("LoginButton").GetComponent<Button>();
        payButton = transform.Find("PayButton").GetComponent<Button>(); 
        resultText = transform.Find("resultText").GetComponent<Text>();
        loginButton.onClick.AddListener(OnLoginClick);
        payButton.onClick.AddListener(OnPayClick);
        //sdk 初始化
        InitSDK();
      
    }
 

    void InitSDK()
    {
        //初始化SDK
        string appKey = "500079";
        int result = PC4399SDK.InitZzMGSDK(appKey);
    }

    private void LoginCallback(string userInfo)
    {
        resultText.text = "初始化完成\n结果：" + userInfo; 
    }

    // Update is called once per frame
    void Update () {
		
	}

    public void OnLoginClick()
    {

        MGLoginCallback callback = new MGLoginCallback(LoginCallback);
        //调用登录接口
        PC4399SDK.DoMGLogin(callback);

    }

    public void OnPayClick()
    { 

        MGPayInfo payInfo = new MGPayInfo();

        payInfo.goodsName = "会员1个月"; 
        payInfo.money = 1;
        payInfo.server = "1"; //分服标识
        payInfo.mark = "ceshi";  //自定义订单号

        PayResultCallBack paycalll = new PayResultCallBack(payCallback);
        //发起支付
        PC4399SDK.DoPay(ref payInfo, paycalll);
    }


    private void payCallback(int code)
    {
        string text = "支付失败";
        switch (code)
        {
            case 90001:
                text = "支付失败";
                break;
            case 90002:
                text = "支付成功";
                break;
            case 90003:
                text = "unionId不存在或者已关闭";
                break;
            case 90004:
                text = "用户未登录,或已过期";
                break;

        }

        resultText.text = text;
    }
}
