﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Runtime.InteropServices;


//登录回调
[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
public delegate void MGLoginCallback(string userInfo);

//支付回调
[UnmanagedFunctionPointer(CallingConvention.Cdecl)]
public delegate void PayResultCallBack(int code);



/**
 * 支付信息结构体，字符以unicode传输
 */
[StructLayout(LayoutKind.Sequential,CharSet=CharSet.Unicode)]
public struct MGPayInfo
{
   
    public string goodsName;
    public int money;
    public string server;
    public string mark;
}

public class PC4399SDK : MonoBehaviour
{

    const string DLL_SDK_NAME = "PC4399SDK";

    /**
    * SDK初始化接口
    * @param appKey 游戏ID
    */
    [DllImport("PC4399SDK", EntryPoint = "InitZzMGSDK",
    SetLastError = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
    public extern static int InitZzMGSDK(string appKey);


    /**
    *设置主程进程ID,用于SDK强制关闭游戏进程

    * @param dwGameProcessId 主游戏进程ID
    */
    [DllImport("PC4399SDK", EntryPoint = "SetGameProcessId",
    SetLastError = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
    public extern static void SetGameProcessId(uint dwGameProcessId);

    /**
    * 调起登录面板
    * @param callback 登录回调接口
    */
    [DllImport("PC4399SDK", EntryPoint = "DoMGLogin",
    SetLastError = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
    public extern static void DoMGLogin(MGLoginCallback callback);

    /**
    * 支付接口
    * @param payInfo 用于支付的物品等信息
    * @param callback 充值回调
    */
    [DllImport("PC4399SDK", EntryPoint = "DoMGPay",
		SetLastError = true, CharSet = CharSet.Unicode, CallingConvention = CallingConvention.StdCall)]
    public extern static void DoPay(ref MGPayInfo payInfo, PayResultCallBack callback);

    [DllImport("PC4399SDK", EntryPoint = "GetMGVersion",
    SetLastError = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.StdCall)]
    public extern static string GetMGVersion();

    // Use this for initialization
    void Start()
    {
      
    }

    // Update is called once per frame
    void Update()
    {

    }
} 